<template>
  <div>
    <div style="margin-top: 60px">
        <h1 class="mx-auto mt-3">Characters</h1>
      </div>
      <v-container>
       <v-row v-for="item in characters" :key="item.id">
          <character-card :character="item"/>
        </v-row>
      </v-container>
      <v-container>
        <pagination-custom v-if="info != null" @goTo="goTo" :info="info" :type="'character'"></pagination-custom>
      </v-container>
    </div>
</template>

<script>
import CharacterCard from '../components/cards/characterCard.vue';
import PaginationCustom from '../components/pagination/paginationCustom.vue';
import NavigationMenu from '../components/navigation/navigationMenu.vue';
export default {
  name: 'App',
  components: {
    NavigationMenu,
    CharacterCard,
    PaginationCustom },
  mounted(){
    this.printCharacters('https://rickandmortyapi.com/api/character');
  },
  data: () => ({
    info: null,
    characters: null,

  }),
  methods: {
    async printCharacters(page){
      var listOfCharacters = await this.$axios.$get(page);
      this.info = listOfCharacters.info;
      this.characters = listOfCharacters.results;
    },
    goTo(page){
      this.printCharacters(page);
    },
  }
};
</script>
<style>

</style>
